### Enumeration

# WebKit ScriptDialogType

#### Declaration

    enum WebKit.ScriptDialogType

#### Description [src]

Enum values used for determining the type of `WebKitScriptDialog`.

#### Members

Name | Description
--- | ---
`WEBKIT_SCRIPT_DIALOG_ALERT` | Alert script dialog, used to show a message to the user.
`WEBKIT_SCRIPT_DIALOG_CONFIRM` | Confirm script dialog, used to ask confirmation to the user.
`WEBKIT_SCRIPT_DIALOG_PROMPT` | Prompt script dialog, used to ask information to the user.
`WEBKIT_SCRIPT_DIALOG_BEFORE_UNLOAD_CONFIRM` | Before unload confirm dialog, used to ask confirmation to leave the current page to the user. Since 2.12